<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}
class Pawfect_Theme {

    public function __construct() {
        $this->load_dependencies();
    }

    private function load_dependencies() {
        // Load all other class files
        require_once PAWFECT_THEME_DIR . '/inc/class/class-theme-setup.php';
        require_once PAWFECT_THEME_DIR . '/inc/class/class-enqueue-assets.php';
        require_once PAWFECT_THEME_DIR . '/inc/class/class-customizer.php';
        require_once PAWFECT_THEME_DIR . '/inc/customizer/customizer-notice/class-pawfect-customizer-notify.php';
        require_once PAWFECT_THEME_DIR . '/inc/class/class-pawfect-nav-walker.php';
        require_once PAWFECT_THEME_DIR . '/inc/class/class-helpers.php';
        require_once PAWFECT_THEME_DIR . '/inc/class/class-pawfect-customizer-sanitize.php';
        require_once PAWFECT_THEME_DIR . '/inc/class/class-pawfect-webfonts.php';
        require_once PAWFECT_THEME_DIR . '/inc/class/class-dynamic-css.php';
        require_once PAWFECT_THEME_DIR . '/inc/class/class-theme-defaults.php';
        require_once PAWFECT_THEME_DIR . '/inc/class/class-pawfect-dashboard.php';

        // Instantiate the classes
        new Theme_Setup();
        new Enqueue_Assets();
        new Customizer();
        new Helpers();
        new Pawfect_Webfonts();
        new Pawfect_Comprehensive_Dynamic_CSS();
        new Pawfect_Dashboard();
        // The Nav Walker doesn't need to be instantiated here, just loaded.
        // The Nav Walker doesn't need to be instantiated here, just loaded.
        // Theme_Defaults is instantiated automatically in its own file
    }
}